---
- name: Store PHP major version in variable
  shell: echo $(php -v | tac | tail -n 1 | cut -d " " -f 2 | cut -c 1-3)
  register: php_major_version
  tags:
    - xdebug

- name: Copy xdebug INI file for later use.
  copy:
    src: "/etc/php/{{ php_major_version.stdout }}/fpm/conf.d/{{ php_xdebug_config_filename }}"
    dest: "{{ playbook_dir }}/roles/ansible-role-php-xdebug/templates/{{ php_xdebug_config_filename }}"
    remote_src: true
  tags:
    - xdebug

- name: Disable xdebug for PHP CLI / Apache2 / FPM.
  file:
    path: "/etc/php/{{ php_major_version.stdout }}/{{ item }}/conf.d/{{ php_xdebug_config_filename }}"
    state: absent
  with_items:
    - cli
    - apache2
    - fpm
  tags:
    - xdebug
  notify:
    - restart webserver
    - restart php-fpm